Name:            libglade
Summary:         libglade library
Version:         0.17
Release:         1
License:         LGPL
Group:           X11/Libraries
Source:          ftp://ftp.daa.com.au/pub/james/gnome/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
URL:             http://www.gnome.org
Requires:        gtk+ >= 1.2.0
Requires:        libxml >= 1.3
BuildRequires:   libxml-devel >= 1.3
BuildRequires:   gtk+-devel >= 1.2.0
BuildRequires:   gnome-libs-devel

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary:   Libraries, includes, etc to develop libglade applications
Group:     X11/libraries
Requires:  %{name} = %{version}
Requires:  gtk+-devel libxml-devel

%description devel
Libraries, include files, etc you can use to develop libglade applications.

%prep
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
    --libdir=%{_libdir} --includedir=%{_includedir} \
    --datadir=%{_datadir}
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
    --libdir=%{_libdir} --includedir=%{_includedir} \
    --datadir=%{_datadir}


if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT%{_bindir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/%{name}-1.0/
%{_datadir}/aclocal/*
%{_libdir}/libgladeConf.sh
%{_libdir}/pkgconfig/*.pc

%doc test-libglade.c
%doc *.glade
%doc %{_datadir}/gnome/html/libglade/*


%changelog
* Sun Oct 28 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- replaced Copyright with License
- made setup quiet

* Fri Aug 17 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- fixed Source 
- fixed BuildRoot

* Wed Feb 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixed hard-coded paths and macros.

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1
